Subject: Re: Bug or Feature

From: Brian Geiger (GE) <[email-masked]>
Date: Mon, 16 Nov 1992 07:39:20 -0800

'Yesterday I tried to build a simple object. It should be a bottle and understand
the verb "open". Just as it is, without any arguments. So I created a verb, say
                  add_verb(#15,{player,"rxd","open"},{"none","none","none"})
and then said "open". It did not work. :(
If I changed the arguments of the verb to {"this","none","none"} and said
"open bottle" it worked fine. 
Why didn't that work in the former case?   (I use LambdaMoo-1.6.1)
Is this fixed in LambdaMoo-1.7.0?'

The reason that it didn't work is because LambdaMOO will search all of the player's verbs, then all of the room's verbs, then it wil
l stop looking for verbs, without checking the objects that are around.
It does this because 1) the search through the database for all the verbs on all the objects would take up a fair amount of processi
ng power, especially if there are a lot of objects around, and 2) many objects could have the same verb.
So in order to keep it from simply opening the first object it finds, it requires you to specify which object you want to get the ve
rb from.
Besides, you wouldn't go up to someone and say 'open' without giving any idea what you're talking about, would you?
        -Me